Skip to content
Permalink
Browse files

Build/Test: Bump devDependencies for WordPress 5.3

This upgrades a number of devDependencies.  Some of these include changes to how the tasks are configured.

Uglify: There are deprecated options from 2.x to 4.x, see: https://github.com/gruntjs/grunt-contrib-uglify#options

Autoprefixer: Browserslist now warns when passing in the browser list, so that is put into package.json

As with most changes to uglify, this changes every minified JS file.

Fixes #48203.




git-svn-id: https://develop.svn.wordpress.org/trunk@46408 602fd350-edb4-49c9-b593-d223f7449a82
  • Loading branch information...
aaronjorbin committed Oct 5, 2019
1 parent f635745 commit 3f9927d3ab88e7a68b2b289c56f853524cbaab50
Showing with 752 additions and 646 deletions.
  1. +3 −15 Gruntfile.js
  2. +722 −616 package-lock.json
  3. +27 −15 package.json
@@ -52,18 +52,6 @@ module.exports = function(grunt) {
options: {
processors: [
autoprefixer({
browsers: [
'> 1%',
'ie >= 11',
'last 1 Android versions',
'last 1 ChromeAndroid versions',
'last 2 Chrome versions',
'last 2 Firefox versions',
'last 2 Safari versions',
'last 2 iOS versions',
'last 2 Edge versions',
'last 2 Opera versions'
],
cascade: false
})
]
@@ -677,8 +665,8 @@ module.exports = function(grunt) {
},
uglify: {
options: {
ASCIIOnly: true,
screwIE8: false
'output.ascii_only': true,
'!ie8': false
},
core: {
expand: true,
@@ -718,7 +706,7 @@ module.exports = function(grunt) {
jqueryui: {
options: {
// Preserve comments that start with a bang.
preserveComments: /^!/
'output.comments': /^!/
},
expand: true,
cwd: 'node_modules/jquery-ui/ui/',

0 comments on commit 3f9927d

Please sign in to comment.
You can’t perform that action at this time.